<?php

include "pdf/class.ezpdf.php"; //class ezpdf yg di panggil
include"../koneksi.php";//koneksi database
date_default_timezone_set('Asia/Jakarta');

function DateToIndo($date) { // fungsi atau method untuk mengubah tanggal ke format indonesia
   // variabel BulanIndo merupakan variabel array yang menyimpan nama-nama bulan
    $BulanIndo = array("Januari", "Februari", "Maret",
               "April", "Mei", "Juni",
               "Juli", "Agustus", "September",
               "Oktober", "November", "Desember");
  
    $tahun = substr($date, 0, 4); // memisahkan format tahun menggunakan substring
    $bulan = substr($date, 5, 2); // memisahkan format bulan menggunakan substring
    $tgl   = substr($date, 8, 2); // memisahkan format tanggal menggunakan substring
    
    $result = $tgl . " " . $BulanIndo[(int)$bulan-1] . " ". $tahun;
    return($result);
}


$pdf = new Cezpdf('A4');

//Set margin dan font
$pdf->ezSetCmMargins(3, 3, 3, 3);
$pdf->selectFont('pdf/fonts/Courier.afm');

// Baca input tanggal yang dikirimkan user

$tgl_awal=$_POST['tgl1'];
$tgl_akhir=$_POST['tgl2'];

$mulai=DateToIndo($tgl_awal);
$akhir=DateToIndo($tgl_akhir);

//Teks di tengah atas untuk judul header

$pdf->ezText("<b>Laporan Buku Tamu</b>", 16, array("justification" => "center","spacing" =>"1"));
$pdf->ezText("<b>PT Great Giant Pineapple</b>", 14, array("justification" => "center","spacing" =>"1"));
$pdf->ezText("<b> No Telpon : (0721) 31342 </b>", 13, array("justification" => "center","spacing" =>"1"));
$pdf->ezText("", 14, array("justification" => "center","spacing" =>"1.5"));
$pdf->ezText("\nPeriode: $mulai s/d $akhir",12,array("justification" => "center","spacing" =>"1"));
$pdf->ezText("", 14, array("justification" => "center","spacing" =>"1.5"));
//Garis atas untuk header
$pdf->line(31, 770, 565, 770);

//Garis bawah untuk footer
$pdf->line(31, 50, 800, 50);

//Teks kiri bawah
$pdf->addText(640,34,8,'Dicetak tgl:' . date( 'd-m-Y, H:i:s'));

//echo "$mulai $selesai";exit;

$dir=mysql_fetch_array(mysql_query("select * from petugas "));



$tampil = "SELECT buku_tamu.*, tamu.* FROM buku_tamu,tamu WHERE buku_tamu.id_tamu=tamu.id_tamu GROUP BY buku_tamu.id_tamu";

$sql = mysql_query($tampil);




$i = 1;
while($r = mysql_fetch_array($sql)) {

    
   $xz=mysql_fetch_array(mysql_query("SELECT buku_tamu.*, tamu.* FROM buku_tamu,tamu WHERE buku_tamu.id_tamu=tamu.id_tamu GROUP BY buku_tamu.id_tamu"));
          $tglz=DateToIndo($r['tanggal']);

      
//Format Menampilkan data di ezPdf
  $data[$i]=array(
             
           'Nama Tamu'=>"$r[nama]",
           'Nama Instansi'=>"$r[nama_instansi]",
		   'Alamat'=>"$r[alamat]",
		   'No Hp'=>"$r[telepon]",
		   'Alamat'=>"$r[alamat]",
		   'Keperluan'=>"$r[keperluan]", 
		   'Tanggal'=>"$tglz"
           );
  $i++;
}

//Tampilkan Dalam Bentuk Table
$pdf->ezTable($data);


$pdf->ezText("Tertanda", 14, array("justification" => "right","spacing" =>"6"));
$pdf->ezText("$dir[nama]", 14, array("justification" => "right","spacing" =>"6"));
// Penomoran halaman
$pdf->ezStartPageNumbers(57, 20, 8);
$pdf->ezStream();



?>

<?php
require('../fpdf/fpdf.php');
include '../koneksi.php';
date_default_timezone_set('Asia/Jakarta'); 

// intance object dan memberikan pengaturan halaman PDF
$pdf=new FPDF('P','mm','A4');
$pdf->AddPage();


$pdf->SetFont('Times','B',13);
$pdf->Cell(200,10,'DATA KARYAWAN',0,0,'C');

 
$pdf->Cell(10,15,'',0,1);
$pdf->SetFont('Times','B',9);
$pdf->Cell(10,7,'NO',1,0,'C');
$pdf->Cell(50,7,'NAMA' ,1,0,'C');
$pdf->Cell(75,7,'ALAMAT',1,0,'C');
$pdf->Cell(55,7,'EMAIL',1,0,'C');

 
// intance object dan memberikan pengaturan halaman PDF
$pdf=new FPDF('P','mm','A4');
$pdf->AddPage();
$pdf->Image('img/logo2.png',5,5);
$pdf->SetFont('Times','B',13);
$pdf->Cell(200,10,'DATA KARYAWAN',0,0,'C');
 
$pdf->Cell(10,15,'',0,1);
$pdf->SetFont('Times','B',9);
$pdf->Cell(10,7,'NO',1,0,'C');
$pdf->Cell(50,7,'NAMA' ,1,0,'C');
$pdf->Cell(75,7,'ALAMAT',1,0,'C');
$pdf->Cell(55,7,'EMAIL',1,0,'C');
 
 
$pdf->Cell(10,7,'',0,1);
$pdf->SetFont('Times','',10);
$no=1;

                  $query = "SELECT * FROM buku_tamu INNER JOIN tamu ON buku_tamu.id_tamu = tamu.id_tamu";
                  $sql = mysql_query($query);
                  while ($row = mysql_fetch_array($sql)) {

  $pdf->Cell(10,6, $no++,1,0,'C');
  $pdf->Cell(50,6, $row['nama'],1,0);
  $pdf->Cell(75,6, $row['keperluan'],1,0);  
  $pdf->Cell(55,6, $row['ruangan'],1,1);
}
 
$pdf->Output();
 
?>

?>